/*
	Copyright (C) 2009-2013 Mark Tyler

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program in the file COPYING.
*/

#include <stdint.h>
#include <unistd.h>
#include <time.h>

#include <gtk/gtk.h>
#include <gdk/gdkkeysyms.h>

#include <mtgex.h>

#include "be.h"



#ifdef U_NLS
	#include <libintl.h>
	#define _(text) gettext(text)
	#define __(text) gettext(text)
#else
	#define _(text) text
	#define __(text) text
#endif



#define		FS_OPEN_IMAGE		1



typedef struct
{
	mtJigsaw	* jigsaw;
	char		** argv;
	int		argc,
			canvas_width,
			canvas_height,
			click_button,
			click_piece_ID,
			click_x,
			click_y,
			current_table
			;
	GtkWidget	* main_window,
			* main_canvas;
} GUI_Global;



extern GUI_Global	global;



int image_load (
	char		* filename
	);

void pressed_help (
	GtkMenuItem	* menu_item,
	gpointer	user_data,
	gint		item
	);

void file_selector (
	int		action_type,
	GtkWidget	* main_window,
	mtPrefs		* prefs_mem,
	char		* filename
	);

